Bug 151573 - unistd.h and bits/unistd.h have conflicting declarations of pread ()
unistd.h and bits/unistd.h have conflicting declarations of pread ()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-19 19:28 EST by Miloslav Trmač
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.3.4-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-20 09:52:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2005-03-19 19:28:59 EST
Description of problem:

$ cat foo.c
#define _XOPEN_SOURCE 600
#define _FILE_OFFSET_BITS 64
#include <unistd.h>
$ gcc -D_FORTIFY_SOURCE=2 -O2 -c foo.c
In file included from /usr/include/unistd.h:1052,
                 from foo.c:3:
/usr/include/bits/unistd.h:55: error: conflicting types for ‘pread’
/usr/include/unistd.h:341: error: previous declaration of ‘pread’ was here

 
Version-Release number of selected component (if applicable):
glibc-2.3.4-15

Additional info:
Maybe just s/__off_t/__off64_t/ on bits/unistd.h line 54

Note You need to log in before you can comment on or make changes to this bug.